@import "fonts";
@import "variables";
@import "reset";

button {
  cursor: pointer;
  outline: none;
}

body {
  overflow-x: hidden;
  font-family: $fontDefault;
}

header {
  color: white;
  background-image: url(../images/bg/header-bg.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding-top: 25px;
}

.container {
  max-width: 1440px;
  width: 100%;
  //height: 100vh;
  padding-right: 80px;
  padding-left: 80px;
  margin-right: auto;
  margin-left: auto;
}

.header-wrapper {
  position: relative;
  text-align: center;

  .vertical-text {
    position: absolute;
    left: 0;
    top:40%;
    writing-mode: tb-rl;
    transform:rotate(180deg);
    font-size: 12px;
    line-height: 12px;
  }

  .vertical-social {
    position: absolute;
    right: 0;
    top: 40%;

    li:not(:last-child) {
      margin-bottom: 20px;
    }

    li a {
      display: inline-block;
      width: 60px;
      height: 60px;
      border-radius: 50%;
      position: relative;
      border: 1px solid rgba(255, 255, 255, 0.2);
      transition: .2s ease;

      &:hover {
        border-color: #fff;
      }
    }

    li img {
      position: absolute;
      transform: translate(-50%, -50%);
      top: 50%;
      left: 50%;

    }
  }
}

.header-menu {
  font-family: $fontDefault;
  font-style: normal;
  font-weight: bold;
  font-size: 12px;
  line-height: 18px;
  display: flex;
  justify-content: space-between;

  a {
    display: inline-block;
    color: #FFFFFF;
    text-decoration: none;
    padding-top: 15px;
    transition: .2s ease;
  }

  a:hover {
    color: #E8C300;
  }

  img {
    animation-name: q;
    animation-duration: 4.1s;
    animation-iteration-count: infinite;
  }

  @keyframes q {
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg);}

  }
}

.header-content {
  font-family: $fontDefault;

  p {
    padding-top: 151px;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: 0.5em;
    text-transform: uppercase;

  }
}

h1 {
  position: relative;
  font-family: $fontSub;
  font-size: 96px;

  &:after {
    content: "";
    position: absolute;
    width: 61px;
    height: 6px;
    background: #E8C300;
    border-radius: 5px;
    left: 50%;
    bottom:0;
    transform: translateX(-50%);
  }
}

.header-buttons {
  text-align: center;
  margin-left: 20px;
  margin-top: 31px;

  .btn-yellow  {
    height: 94px;
    padding: 40px 90px;
    border: 2px solid #E8C300;
    background-color: #E8C300;
    border-radius: 5px;
    font-weight: bold;
    font-size: 12px;
    line-height: 20px;
    color: #FFFFFF;

    &:hover {
      opacity: 0.7;
    }
  }
  .btn-border {
    margin: 0 40px;
    height: 94px;
    padding: 40px 100px;
    border-radius: 5px;
    font-weight: bold;
    font-size: 12px;
    line-height: 20px;
    color: #FFFFFF;
    background-color: unset;
    border: 2px solid #FFFFFF;
    background-repeat: no-repeat;

    &:hover {
      border-color: #E8C300;
      color: #E8C300;
    }
  }
}

.header-wrapper .unfold {
  margin-top: 92px;
  margin-bottom: 93px;
  position: relative;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  border: 0;

  &:hover {
    background-color: #E8C300;
  }

  .check {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
  }

  .circle {
    padding: 0 10px;
  }
}

.block-first {
  padding: 100px 0;

  .block-wrap {
    display: flex;
    text-align: center;
    align-items: center;

    .block-left {
      width: 50%;
      max-width: 100%;


      h2 {
        padding-bottom: 15px;
        font-family: $fontSub;
        font-size: 36px;
        position: relative;


        &:after {
          content: "";
          position: absolute;
          width: 61px;
          height: 6px;
          background: #E8C300;
          border-radius: 5px;
          left: 50%;
          bottom:0;
          transform: translateX(-50%);
        }
      }



      p {
        padding-bottom: 25px;
        font-size: 18px;
      }

      .thumbnail {
        padding-top: 15px;
        font-weight: bold;
      }
    }

    .block-right {
      width: 50%;
      position: relative;

      .picture-wrapper {
        position: relative;
        height: 475px;
        max-width: 475px;
        margin-left: auto;
        margin-right: 85px;

        img {
          position: absolute;
          left: 39%;
          transform: translateX(-50%);
          top: 0;
          height: 100%;
          object-fit: cover;
        }
      }

      .overlay {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 270px;
      }
    }
  }
}

.block-second {
  background-image: url("../images/bg/specialty's-bg.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding-top: 50px;
  padding-bottom: 100px;

  h3 {
    color: #FFFFFF;
    text-align: center;
    font-family: $fontDefault;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: 0.5em;
    text-transform: uppercase;
    padding-bottom: 50px;
  }

  .block-wrap {
    display: flex;
    text-align: center;
    align-items: center;

    .block-right {
      width: 50%;
      color: #FFFFFF;

      h2 {
        padding-bottom: 15px;
        font-family: $fontSub;
        font-size: 36px;
        position: relative;


        &:after {
          content: "";
          position: absolute;
          width: 61px;
          height: 6px;
          background: #E8C300;
          border-radius: 5px;
          left: 50%;
          bottom:0;
          transform: translateX(-50%);
        }
      }

      .thumbnail {
        padding-top: 15px;
        font-weight: bold;
        font-size: 18px;
      }

      .other {
        padding-top: 15px;
        font-size: 15px;
        opacity: 0.5;
      }
    }

    .block-left {
      width: 50%;
      position: relative;

      .picture-wrapper {
        position: relative;
        height: 475px;
        max-width: 475px;
        margin-left: auto;
        margin-right: 75px;

        img {
          position: absolute;
          left: 62%;
          transform: translateX(-50%);
          top: 0;
          height: 100%;
          object-fit: cover;
        }
      }

      .overlay {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 290px;
      }
    }
  }
}

.block-third {
  padding-top: 100px;
  padding-bottom: 50px;

  .block-wrap {
    display: flex;
    text-align: center;
    align-items: center;
    margin-bottom: 15px;

    .block-left {
      width: 50%;

      h2 {
        padding-bottom: 15px;
        margin-bottom: 15px;
        font-family: $fontSub;
        font-size: 36px;
        position: relative;


        &:after {
          content: "";
          position: absolute;
          width: 61px;
          height: 6px;
          background: #E8C300;
          border-radius: 5px;
          left: 50%;
          bottom: 7%;
          transform: translateX(-50%);
        }
      }

      .grid {
        display: flex;
        flex-wrap: wrap;
        margin: 0 -5px;

        .column {
          flex: 0 0 50%;
          max-width: 50%;
          padding: 0 5px;


        }
        label, select {
          margin-bottom: 10px;
          display: block;
        }

        input, select {
          padding-left: 20px;
          height: 60px;
          width: 100%;
          background: #E5E5E5;
          color: rgba(51, 51, 51, 0.5);
          border-radius: 5px;
          border: none;
        }
      }

      button {
        line-height: 60px;
        width: 100%;
        border: 2px solid #E8C300;
        background-color: #E8C300;
        border-radius: 5px;
        font-weight: bold;
        font-size: 12px;
        color: #FFFFFF;

        &:hover {
          opacity: 0.7;
        }
      }
    }

    .block-right {
      width: 50%;
      position: relative;

      .picture-wrapper {
        position: relative;
        height: 475px;
        max-width: 475px;
        margin-left: auto;
        margin-right: 85px;

        img {
          position: absolute;
          left: 39%;
          transform: translateX(-50%);
          top: 0;
          height: 100%;
          object-fit: cover;
        }
      }

      .overlay {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 270px;
      }
    }
  }
  .date-time {
    text-align: center;
    color: rgba(51, 51, 51, 0.5);
    padding-top: 50px;

  }
}

.block-fourth {
  background-image: url("../images/bg/specialty's-bg4.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding-top: 50px;
  padding-bottom: 50px;

  h3 {
    color: #FFFFFF;
    text-align: center;
    font-family: $fontDefault;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: 0.5em;
    text-transform: uppercase;
    padding-bottom: 50px;
  }

  .block-wrap {
    display: flex;
    text-align: center;
    align-items: center;

    .block-right {
      width: 50%;
      color: #FFFFFF;

      h2 {
        padding-bottom: 15px;
        font-family: $fontSub;
        font-size: 36px;
        position: relative;


        &:after {
          content: "";
          position: absolute;
          width: 61px;
          height: 6px;
          background: #E8C300;
          border-radius: 5px;
          left: 50%;
          bottom:0;
          transform: translateX(-50%);
        }
      }


      .thumbnail {
        padding-top: 15px;
        font-weight: bold;
        font-size: 18px;
        color: rgba(255, 255, 255, 0.9);
      }

      .other {
        padding-top: 25px;
        font-size: 15px;
        color: rgba(255, 255, 255, 0.9);
      }

    }

    .block-left {
      width: 50%;
      position: relative;

      .picture-wrapper {
        position: relative;
        height: 475px;
        max-width: 475px;
        margin-left: auto;
        margin-right: 75px;

        img {
          position: absolute;
          left: 62%;
          transform: translateX(-50%);
          top: 0;
          height: 100%;
          object-fit: cover;
        }
      }

      .overlay {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 290px;
      }
    }
  }
  .slider {

    display: flex;
    justify-content: center;
    margin-top: 50px;

    .circle {
      margin: 10px;
      width: 10px;
      height: 10px;
      background: rgba(255, 255, 255, 0.5);
      border-radius: 50%;

      &.active {
        background: #FFFFFF;
      }
    }

    .circle::before {
      content: "";
      display: inline-block;
      vertical-align: middle;
      padding-top: 100%;

    }
  }
}

.block-fifth {
  padding: 100px 0;

  .heading {
    text-align: center;

    h2 {
      padding-bottom: 15px;
      font-family: $fontSub;
      font-size: 36px;
      position: relative;


      &:after {
        content: "";
        position: absolute;
        width: 61px;
        height: 6px;
        background: #E8C300;
        border-radius: 5px;
        left: 50%;
        bottom: 0;
        transform: translateX(-50%);
      }
    }

    p {
      padding-top: 25px;
      font-size: 18px;
      font-weight: bold;
      line-height: 28px;

    }
  }
  .heading-menu {
    padding: 50px 0 51px;
    font-family: $fontDefault;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 18px;
    display: flex;
    justify-content: center;



    a {
      display: inline-block;
      color: #333333;
      text-decoration: none;
      transition: .2s ease;
      position: relative;
      border-right: 1px solid rgba(51, 51, 51, 0.2);
      padding: 16px 15px;
      width: 120px;
      text-align: center;
    }

    li:last-child a{
      border: 0;
    }

    a:hover {
      color: #E8C300;


    }
  }

  .price-list {
    column-count: 3;
    column-gap: 112px;


    li {
      padding-bottom: 30px;

    }

    h3 {
      font-family: $fontSub;
      font-size: 18px;
      line-height: 18px;
      font-weight: normal;
    }

    p {
      font-size: 12px;
      color: gray;

    }

  }
}

.block-sixth {

  background-image: url("../images/bg/specialty's-bg6.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding-top: 50px;

  h3 {
    color: #FFFFFF;
    text-align: center;
    font-family: $fontDefault;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: 0.5em;
    text-transform: uppercase;
    padding-bottom: 50px;
  }

  .block-wrap {
    display: flex;
    text-align: center;
    align-items: center;


    .block-left {
      width: 50%;
      position: relative;

      .picture-wrapper {
        position: relative;
        height: 475px;
        max-width: 475px;
        margin-left: auto;
        margin-right: 30px;

        img {
          position: absolute;
          left: 50%;
          transform: translateX(-50%);
          top: 0;
          height: 100%;
        }

        p {
          position: absolute;
          color: #FFFFFF;
          background-color: #000;
          writing-mode: vertical-lr;
          top: 0;
          right: 0;
          width: 85px;
          height: 100%;
          font-family: Banny, sans-serif;
          font-size: 24px;
          line-height: 85px;
          text-align: left;
          padding-top: 25px;
          text-transform: uppercase;
        }
      }

      .overlay {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 300px;
      }
    }

    .block-right {
      width: 50%;
      position: relative;

      .picture-wrapper {
        position: relative;
        height: 475px;
        max-width: 475px;
        margin-left: auto;
        margin-right: 105px;
        border-radius: 5px;
        overflow: hidden;

        img {
          position: absolute;
          left: 50%;
          transform: translateX(-50%);
          top: 0;
          height: 100%;
        }

        p {
          position: absolute;
          color: #FFFFFF;
          background-color: #000;
          writing-mode: vertical-lr;
          transform: rotate(.5turn);
          top: 0;
          left: 0;
          width: 85px;
          height: 100%;
          font-family: Banny, sans-serif;
          font-size: 24px;
          line-height: 85px;
          text-align: left;
          padding-top: 25px;
          text-transform: uppercase;
        }
      }

      .overlay {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 300px;
      }
    }
  }
  .date-time {
    text-align: center;
    color: rgba(255, 255, 255, 0.5);
    padding-top: 50px;
    padding-bottom: 50px;
  }
  .photo-list {
    display: flex;
    padding-top: 50px;
    margin-right: -80px;
    margin-left: -80px;


    img {
      width: 356px;
      height: 356px;

    }
  }
}

.block-seventh {

  padding: 100px 0;

  .block-wrap {
    text-align: center;
    align-items: center;

    h2 {
      padding-bottom: 15px;
      font-family: $fontSub;
      font-size: 36px;
      position: relative;


      &:after {
        content: "";
        position: absolute;
        width: 61px;
        height: 6px;
        background: #E8C300;
        border-radius: 5px;
        left: 50%;
        bottom: 7%;
        transform: translateX(-50%);
      }
    }

    p {
      padding-top: 15px;
      padding-bottom: 50px;
      font-family: $fontDefault;
      font-style: normal;
      font-weight: bold;
      font-size: 18px;
      line-height: 28px;
    }

    form {
      display: flex;
      flex-wrap: wrap;
      flex-grow: 1;

      .inputs {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

        input {
          padding: 0;
          margin-right: 0;
        }

        label {
          width: 33.3333%;
          padding-left: 5px;
          padding-right: 5px;

          &:first-child {
            padding-left: 0;
          }

          &:last-child {
            padding-right: 0;
          }
        }

        input, select {
          padding-left: 20px;
          height: 60px;
          width: 100%;
          background: #E5E5E5;
          color: rgba(51, 51, 51, 0.5);
          border-radius: 5px;
          flex-wrap: wrap;
          //margin: 5px;
          border: none;
        }
      }
      textarea {
        resize: none;
        padding-left: 20px;
        padding-top: 20px;
        margin: 13px 0;
        height: 120px;
        width: 100%;
        background: #E5E5E5;
        color: rgba(51, 51, 51, 0.5);
        border-radius: 5px;
        border: none;
        resize: none;
      }
    }

    .submit {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;

      .address {
        display: flex;
        padding-top: 30px;


        a {
          font-family: $fontDefault;
          font-style: normal;
          font-size: 14px;
          line-height: 14px;
          color: rgba(51, 51, 51, 0.5);
          text-decoration: none;
          padding-left: 5px;
          padding-right: 15px;
        }

        img {
          width: 14px;
          height: 14px;
          transform: scale(-1, 1);
        }
      }

      button {

        height: 60px;
        width: 540px;
        border: 2px solid #E8C300;
        background-color: #E8C300;
        border-radius: 5px;
        font-weight: bold;
        font-size: 12px;
        line-height: 20px;
        color: #FFFFFF;


        &:hover {
          opacity: 0.7;
        }
      }
    }
  }
}

footer {

  iframe {
    margin-bottom: -6px;
  }

  .footer-bg {
    width: 100%;
    padding: 50px;
    margin: auto;
    background: rgba(0, 0, 0, 0.9);

    p {
      font-family: $fontDefault;
      font-weight: normal;
      font-size: 12px;
      line-height: 12px;
      text-align: center;
      color: rgba(255, 255, 255, 0.5);
    }
  }
}
